#ifndef BILLES_H 
#define BILLES_H

using namespace std;

#include <vector>
#include <iostream>
#include <fstream>
#include <string>

class nzGame {
 private:
  int cases[17];
  int holePos;
  string symbols[3];
  bool accessible(int, int);
  bool allowed(int);
  void reset();
  void moveHole(int);
  void display();
  void displayCoups();  
  void gameWon();
  int sgn(int);
  int score();
 public:
  nzGame();
  vector<int> coups;
  bool tryMove(int);
  int lastMove();
  void playSequence(vector<int>);
  void resetTo(vector<int>);
  void writeSeq(int, int);
  void writeSeq();
  static int voisins[17][8];
};



#endif

